B10-DDNS(8)

NAME
b10-ddns - Dynamic DNS update service

SYNOPSIS

b10-ddns [-v | --verbose]

DESCRIPTION

The b10-ddns daemon provides the BIND 10 Dynamic Update (DDNS) service, as specified in RFC 2136. Normally it is started by the bind10(8) boss process.

When the b10-auth authoritative DNS server receives an UPDATE request, it internally forwards the request to b10-ddns, which handles the rest of the request processing. When the processing is completed b10-ddns will send a response to the client with the RCODE set to the value as specified in RFC 2136. If the zone has been changed as a result, it will internally notify b10-auth and b10-xfrout so the new version of the zone will be served, and other secondary servers will be notified via the DNS notify protocol.

This daemon communicates with BIND 10 over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-ddns will exit. The b10-ddns daemon also depends on some other BIND 10 components (either directly or indirectly): b10-auth(8), b10-xfrout(8), and b10-zonemgr(8).

b10-ddns receives its configurations from b10-cfgmgr(8).

ARGUMENTS

The arguments are as follows:

-h, --help
    Print the command line arguments and exit.

-v, --verbose
    This value is ignored at this moment, but is provided for compatibility with the bind10 Boss process.

CONFIGURATION AND COMMANDS

The configurable settings are:

zones The zones option is a list of configuration items for specific zones that can be updated with DDNS. Each entry is a map that can contain the following items: origin is a textual domain name of the zone; class (text) is the RR class of the zone; and update_acl is an ACL that controls permission for updates. See the BIND 10 Guide for configuration details. Note that not listing a zone in this list does not directly mean update requests for the zone are rejected, but the end result is the same because the default ACL for updates is to deny all requests.

The module commands are:

shutdown exits b10-ddns. This has an optional pid argument to select the process ID to stop. (Note that the BIND 10 boss process may restart this service if configured.)

SEE ALSO

b10-auth(8), b10-cfgmgr(8), b10-msgq(8), b10-xfrout(8), b10-zonemgr(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-ddns daemon was first implemented in December 2011 for the ISC BIND 10 project. The first functional version was released in June 2012.

COPYRIGHT
Copyright © 2011-2012 Internet Systems Consortium, Inc. ("ISC")